# $Id$
# Authority: dag

%define python_sitelib %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib()')

Summary: Backport of new unittest features for Python 2.7 to Python 2.4+
Name: python-unittest2
Version: 0.5.1
Release: 1%{?dist}
License: BSD
Group: Development/Languages
URL: http://pypi.python.org/pypi/unittest2

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source0: http://pypi.python.org/packages/source/u/unittest2/unittest2-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: python-devel
BuildRequires: python-nose
BuildRequires: python-setuptools

%description
unittest2 is a backport of the new features added to the unittest
testing framework in Python 2.7. It is tested to run on Python 2.4 - 
2.6.

To use unittest2 instead of unittest simply replace ``import unittest``
with ``import unittest2``.

Classes in unittest2 derive from the equivalent classes in unittest,
so it should be possible to use the unittest2 test running infra-
structure without having to switch all your tests to using unittest2
immediately. Similarly
you can use the new assert methods on ``unittest2.TestCase`` with the
standard unittest test running infrastructure. Not all of the new
features in unittest2 will work with the standard unittest test loaders
and runners however.


%prep
%setup -n unittest2-%{version}

%build
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --skip-build --root="%{buildroot}"

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc README.txt
%{_bindir}/unit2*
%{python_sitelib}/unittest2/
%{python_sitelib}/unittest2*.egg-info

%changelog
* Tue Feb 28 2012 Dag Wieers <dag@wieers.com> - 0.5.1-1
- Initial package. (using DAR)
